Bug 194247 - Can't get initial kickstart when URL requires auth
Can't get initial kickstart when URL requires auth
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2006-06-06 12:14 EDT by Bastien Nocera
Modified: 2010-10-22 01:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0816
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-rhel3-initial-ks-auth.patch (4.19 KB, patch)
2006-06-06 12:14 EDT, Bastien Nocera
no flags Details | Diff
anaconda-rhel4-initial-ks-auth.patch (4.22 KB, patch)
2006-06-06 12:16 EDT, Bastien Nocera
no flags Details | Diff
test.c (2.53 KB, text/plain)
2006-06-06 12:16 EDT, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2006-06-06 12:14:34 EDT
RHEL3 U7

In the anaconda logs, you might see:
* reverse name lookup worked
* ks location: ftp://ftpuser:redhat@10.0.0.1/home/ftpuser/ks.cfg
* transferring ftp://ftpuser:redhat@10.0.0.1//./home/ftpuser/ks.cfg to a fd
* failed to retrieve http://ftpuser:redhat@10.65.6.242///home/ftpuser/ks.cfg

The attached patch adds support for parsing login and password from the URI
itself. I also attached a test program to see whether there were any regressions
in the parsing.

I'm afraid my patch uses the same lax memory management as the original code
(host and path are never freed).
Comment 1 Bastien Nocera 2006-06-06 12:14:35 EDT
Created attachment 130617 [details]
anaconda-rhel3-initial-ks-auth.patch
Comment 2 Bastien Nocera 2006-06-06 12:16:04 EDT
Created attachment 130618 [details]
anaconda-rhel4-initial-ks-auth.patch

RHEL4 patch, if necessary.
Comment 3 Bastien Nocera 2006-06-06 12:16:50 EDT
Created attachment 130619 [details]
test.c

Parsing testcase.
Comment 6 David Cantrell 2007-04-03 16:08:53 EDT
Patch applied to rawhide.  Flagging for inclusion in RHEL-4.6.
Comment 7 RHEL Product and Program Management 2007-05-09 06:14:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 errata-xmlrpc 2007-11-15 11:35:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0816.html

Note You need to log in before you can comment on or make changes to this bug.